
QGIS Application - Bug report #9896

WMS GetFeatureInfo search radius

2014-03-26 10:33 AM - Radim Blazek

Status: Open

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18413

Description

QGIS WMS server should use some reasonable, configurable search radius for GetFeatureInfo instead of current 1, 0.5 or 0.25% of layer

extent.

The default radius could be the same as UMN Mapserver is using.

Related issues:

Related to QGIS Application - Feature request # 9797: Add a precision setting... Closed 2014-03-17

History

#1 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-02-26 10:18 AM - Radim Blazek

- Assignee deleted (Marco Hugentobler)

- Description updated

Still not solved

https://github.com/qgis/QGIS/blob/4777abb4/src/server/services/wms/qgswmsrenderer.cpp#L2290

https://github.com/qgis/QGIS/blob/4777abb4/src/server/services/wms/qgswmsrenderer.cpp#L2302

https://github.com/qgis/QGIS/blob/4777abb4/src/server/services/wms/qgswmsrenderer.cpp#L2314

#4 - 2018-03-06 12:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to 3.0.0
